cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_refunds/PR-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_refunds.get_purchase_refund("PR-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseRefunds.getPurchaseRefund('PR-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseRefunds->getPurchaseRefund('PR-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_refunds.purchase_refunds_dto.PurchaseRefundsDto.PurchaseRefund;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseRefund> response = client.purchaseRefunds().getPurchaseRefund("PR-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseRefunds.GetPurchaseRefundAsync("PR-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseRefunds.getPurchaseRefund('PR-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseRefunds().GetPurchaseRefund(context.Background(), "PR-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_refund": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"alternate_date": "<string>",
"amount": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_note": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<string>",
"last_updated_on": "<string>",
"note": "<string>",
"object": "<string>",
"payment_method": "<string>",
"payment_processor": "<string>",
"reference": "<string>",
"status": "<string>",
"uuid": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Purchase refunds
Retrieve a purchase refund
Returns one purchase refund under purchase_refund.
GET
/
purchase_refunds
/
{purchase_refund_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_refunds/PR-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_refunds.get_purchase_refund("PR-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseRefunds.getPurchaseRefund('PR-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseRefunds->getPurchaseRefund('PR-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_refunds.purchase_refunds_dto.PurchaseRefundsDto.PurchaseRefund;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseRefund> response = client.purchaseRefunds().getPurchaseRefund("PR-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseRefunds.GetPurchaseRefundAsync("PR-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseRefunds.getPurchaseRefund('PR-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseRefunds().GetPurchaseRefund(context.Background(), "PR-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"purchase_refund": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"alternate_date": "<string>",
"amount": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_note": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<string>",
"last_updated_on": "<string>",
"note": "<string>",
"object": "<string>",
"payment_method": "<string>",
"payment_processor": "<string>",
"reference": "<string>",
"status": "<string>",
"uuid": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the refund with its supplier, credit note, amount, payment method and custom attributes under
purchase_refund.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.